#ifndef lint
static char	*RCSid="$Header: /tmp_mnt/home/src/rand/etc/kboot/RCS/getaa.c,v 1.1 91/01/29 17:37:21 root Exp $";
#endif lint

/*
 * $Log:	getaa.c,v $
 * Revision 1.1  91/01/29  17:37:21  root
 * Initial revision
 * 
 */

#include <stdio.h>
#include <rpc/rpc.h>
#include "aarpd.h"

/*
 * getaa - Return appletalk address of "host".  If host is NULL get
 *   local host address.  Makes RPC call to aarpd on host.
 */
int getaa (host, aa)

char	*host;
int	*aa;

{
  int	i;
  int	s;

  if (host == NULL)
      host = "localhost";
/*
 * Give aarpd a chance to register with portmap...
 */
  for (i = 0; i < 3; i++)
      if ((s = callrpc (host, GETAAPROG, GETAAVERS, GETAAPROC,
	               xdr_void, 0, xdr_u_long, aa)) == 0)
	  break;
      else
	  sleep (2);
  return (s);
}
